<header title="Employees"></header>
<ion-content>

  <ion-row>
    <ion-col size="8">
      <ion-searchbar type="text" debounce="500" [(ngModel)]="search_value" (ionChange)="setFilteredItems($event,1)"
        (ionClear)="claerSearcher()"></ion-searchbar>
    </ion-col>
    <ion-col size="4">
      <p class="p_style">Sort by</p>
      <ion-select class="ion_select" interface="popover" [(ngModel)]="sortBy"
        (ionChange)="sortFunction(sortBy)">
        <ion-select-option value="n">Newest</ion-select-option>
        <ion-select-option value="o">Oldest</ion-select-option>
        <ion-select-option value="f">First Name</ion-select-option>
        <ion-select-option value="l">Last Name</ion-select-option>
        <ion-select-option value="p">Phone</ion-select-option>
        <ion-select-option value="e">Email</ion-select-option>
      </ion-select>
    </ion-col>
  </ion-row>
  <!-- <div *ngIf="searching" class="spinner-container">
    <ion-spinner></ion-spinner>
  </div> -->

  <ion-list>
    <ion-item *ngFor="let item of items">
      {{ item.firstname }}
    </ion-item>
  </ion-list>


  <!-- Custom Table -->
  <div class="bg-white">
    <!-- Header -->
    <ion-grid>
      <ion-row class="table-wrapper ">
        <!-- <ion-item-divider> -->
        <ion-col size="4">
          <ion-label>
            <h5>Name</h5>
          </ion-label>
        </ion-col>
        <ion-col size="4">
          <ion-label>
            <h5>Phone / Email</h5>
          </ion-label>
        </ion-col>
        <ion-col size="4" class="ion-text-end">
          <ion-label>
            <!-- <h5>Setting</h5> -->
            <ion-icon name="settings"></ion-icon>
          </ion-label>
        </ion-col>
        <!-- </ion-item-divider> -->

      </ion-row>
      <ion-row *ngFor="let item of membersData; let i=index">
        <ion-col size="4">
          <ion-label>
            <p *ngIf="item.firstname || item.lastname" class="col_style">{{item.firstname}} {{item.lastname}}</p>
          </ion-label>
        </ion-col>
        <ion-col size="4">
          <ion-label>
            <p *ngIf="item.phone" class="d-block">{{item.phone}}</p>
            <p *ngIf="item.email != null || item.email != ''" class="d-block">{{item.email}}</p>
          </ion-label>
        </ion-col>
        <ion-col size="4">
          <ion-select value="" [interfaceOptions]="customAlertOptions" (ionChange)="selectValue($event, i,item)"
            okText="Okay" cancelText="Dismiss">
            <ion-select-option value="sms">Send SMS</ion-select-option>
            <ion-select-option value="email">Send Email</ion-select-option>
            <ion-select-option value="contact">Change Contact Group</ion-select-option>
            <ion-select-option value="edit">Edit Contact</ion-select-option>
          </ion-select>
        </ion-col>
        <hr>
      </ion-row>

    </ion-grid>
    <!-- No Data -->
    <h4 class="clr-medium ion-margin-vertical ion-text-center" *ngIf="isCheck == true">
      No Record Found
    </h4>
  </div>
  <!-- ​REFRESHER -->
  <ion-refresher slot="fixed" (ionRefresh)="refreshData($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <!-- INFINITE SCROLL -->
  <ion-infinite-scroll *ngIf="currentPage<lastPage" threshold="10px" (ionInfinite)="loadMoreData(1, $event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more items...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>